import { Todo } from "@src/core/entities/todo";
import { FC } from "react";
import { TodoCheckmark } from "@src/components/todos/todoCheckmark";

interface TodoItemProps {
  todo: Todo;
  updateTodo: (todo: Todo) => void;
  displayProject: boolean;
}

export const TodoItem: FC<TodoItemProps> = (props) => (
  <div className="py-3 border-b border-gray-300 dark:border-gray-600">
    <div className="flex items-center space-x-4">
      <TodoCheckmark {...props} />
      <div className="flex flex-row flex-grow gap-2 pr-6">
        <div className="flex-grow w-full break-all">{props.todo.title}</div>
        {props.displayProject && props.todo.project && (
          <div className="text-gray-500  text-right">{props.todo.project}</div>
        )}
      </div>
    </div>
  </div>
);
